.slider-reveal{
    @extend .organism;

    &--dissolve{
        .slider-reveal__mask:last-child{
            border-bottom: 2px solid $colorMain;
            box-shadow: 0px 0px 60px 30px rgba($colorMain, 0.25);
        }
    }
}


.slider-reveal__image-wrapper{
    position: relative;
    width: 75%;
    margin: 0 auto $buildingUnit * 3 auto;
}

.slider-reveal__image-aspect{
    position: relative;
    width: 100%;
    padding-bottom: 100%;
    overflow: hidden;
}

.slider-reveal__mask{
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.slider-reveal__body{
    &:last-child{
        margin-bottom: 0;
    }
}

.slider-reveal__image{
    @include object-fit(cover, center);
    width: 100%;
}

@include min-mobile-xl() {
    .slider-reveal__image-wrapper{
        width: 100%;
        max-width: 400px;
        margin: 0 auto;
    }
}

@include min-desktop() {

    .slider-reveal__grid-cell{
        flex-basis: 33.33%;
        max-width: 33.33%;
        &:nth-child(2){
            flex-basis: 66.67%;
            max-width: 66.67%;
        }
    }
}